package com.qs.mp.api;

import java.util.HashMap;
import java.util.Map;

import org.junit.jupiter.api.Test;

import com.alibaba.fastjson.JSON;
import com.qs.mp.common.BaseControllerTest;

/**
 * @auther duota
 * @create 2021 2021/9/7 6:36 下午
 * @describe
 */
public class UserDeliverOrderMgrControllerTest extends BaseControllerTest {

  /**
   * 发送短信验证码接口
   */
  @Test
  public void testList(){
    Map<String, Object> map = new HashMap<String, Object>();
	int pageNum = 1;
	int pageSize = 10;
	map.put("pageNum", pageNum);
	map.put("pageSize", pageSize);
	String params = JSON.toJSONString(map);
    String url = "http://localhost:8080/api/v1/mp/admin/deliver/order/list?";
    System.out.println(request(url, params));
  }
  
  
  @Test
  public void testQuery(){
    Map<String, Object> map = new HashMap<String, Object>();
	map.put("orderId", "95588124524032822218");
	String params = JSON.toJSONString(map);
    String url = "http://localhost:8080/api/v1/mp/admin/deliver/order/detail?";
    System.out.println(request(url, params));
  }
}
